### Enumeration

# Qmi WdsExtendedTechnologyPreference

since: 1.0

#### Declaration

    enum Qmi.WdsExtendedTechnologyPreference

#### Description [src]

Type of network allowed when trying to connect.

Available since: 1.0

#### Members

`QMI_WDS_EXTENDED_TECHNOLOGY_PREFERENCE_CDMA`

  Use CDMA.

  - Value: `32769`
  - Available since: 1.0
`QMI_WDS_EXTENDED_TECHNOLOGY_PREFERENCE_UMTS`

  Use UMTS.

  - Value: `32772`
  - Available since: 1.0
`QMI_WDS_EXTENDED_TECHNOLOGY_PREFERENCE_EPC`

  Use EPC, LTE.

  - Value: `34944`
  - Available since: 1.0
`QMI_WDS_EXTENDED_TECHNOLOGY_PREFERENCE_EMBMS`

  Use eMBMS.

  - Value: `34946`
  - Available since: 1.0
`QMI_WDS_EXTENDED_TECHNOLOGY_PREFERENCE_MODEM_LINK_LOCAL`

  Use modem link-local.

  - Value: `34952`
  - Available since: 1.0

#### Type functions

###### qmi_wds_extended_technology_preference_get_string

Gets the nickname string for the `QmiWdsExtendedTechnologyPreference` specified at `val`.

since: 1.0